wxWidgets: wxRichTextFileHandler Class Reference

| Version: 3.0.5

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
wxRichTextFileHandler Class Referenceabstract
Class List by Category » Rich Text

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextFileHandler:
[legend]

## Detailed Description

The base class for file handlers.

##

Library: wxRichText

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextFileHandler (const wxString &name=wxEmptyString, const wxString &ext=wxEmptyString, int type=0)
| Creates a file handler object. More...
bool | LoadFile (wxRichTextBuffer *buffer, wxInputStream &stream)
| Loads the buffer from a stream. More...
bool | SaveFile (wxRichTextBuffer *buffer, wxOutputStream &stream)
| Saves the buffer to a stream. More...
virtual bool | LoadFile (wxRichTextBuffer *buffer, const wxString &filename)
| Loads the buffer from a file. More...
virtual bool | SaveFile (wxRichTextBuffer *buffer, const wxString &filename)
| Saves the buffer to a file. More...
virtual bool | CanHandle (const wxString &filename) const
| Returns true if we handle this filename (if using files). More...
virtual bool | CanSave () const
| Returns true if we can save using this handler. More...
virtual bool | CanLoad () const
| Returns true if we can load using this handler. More...
virtual bool | IsVisible () const
| Returns true if this handler should be visible to the user. More...
virtual void | SetVisible (bool visible)
| Sets whether the handler should be visible to the user (via the application's load and save dialogs). More...
void | SetName (const wxString &name)
| Sets the name of the handler. More...
wxString | GetName () const
| Returns the name of the handler. More...
void | SetExtension (const wxString &ext)
| Sets the default extension to recognise. More...
wxString | GetExtension () const
| Returns the default extension to recognise. More...
void | SetType (int type)
| Sets the handler type. More...
int | GetType () const
| Returns the handler type. More...
void | SetFlags (int flags)
| Sets flags that change the behaviour of loading or saving. More...
int | GetFlags () const
| Returns flags controlling how loading and saving is done. More...
void | SetEncoding (const wxString &encoding)
| Sets the encoding to use when saving a file. More...
const wxString & | GetEncoding () const
| Returns the encoding to use when saving a file. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Protected Member Functions
virtual bool | DoLoadFile (wxRichTextBuffer *buffer, wxInputStream &stream)=0
| Override to load content from stream into buffer. More...
virtual bool | DoSaveFile (wxRichTextBuffer *buffer, wxOutputStream &stream)=0
| Override to save content to stream from buffer. More...
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...

## Protected Attributes
wxString | m_name
wxString | m_encoding
wxString | m_extension
int | m_type
int | m_flags
bool | m_visible
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxRichTextFileHandler()

wxRichTextFileHandler::wxRichTextFileHandler | ( | const wxString & | name = `wxEmptyString`,
|  | const wxString & | ext = `wxEmptyString`,
|  | int | type = `0`
| ) |  |
| inline

Creates a file handler object.

## Member Function Documentation

## ◆ CanHandle()

virtual bool wxRichTextFileHandler::CanHandle | ( | const wxString & | filename | ) | const
| virtual

Returns true if we handle this filename (if using files).

By default, checks the extension.

## ◆ CanLoad()

virtual bool wxRichTextFileHandler::CanLoad | ( |  | ) | const
| inlinevirtual

Returns true if we can load using this handler.

Reimplemented in wxRichTextXMLHandler, and wxRichTextPlainTextHandler.

## ◆ CanSave()

virtual bool wxRichTextFileHandler::CanSave | ( |  | ) | const
| inlinevirtual

Returns true if we can save using this handler.

Reimplemented in wxRichTextXMLHandler, and wxRichTextPlainTextHandler.

## ◆ DoLoadFile()

virtual bool wxRichTextFileHandler::DoLoadFile | ( | wxRichTextBuffer * | buffer,
|  | wxInputStream & | stream
| ) |  |
| protectedpure virtual

Override to load content from stream into buffer.

Implemented in wxRichTextXMLHandler, and wxRichTextPlainTextHandler.

## ◆ DoSaveFile()

virtual bool wxRichTextFileHandler::DoSaveFile | ( | wxRichTextBuffer * | buffer,
|  | wxOutputStream & | stream
| ) |  |
| protectedpure virtual

Override to save content to stream from buffer.

Implemented in wxRichTextXMLHandler, wxRichTextHTMLHandler, and wxRichTextPlainTextHandler.

## ◆ GetEncoding()

const wxString& wxRichTextFileHandler::GetEncoding | ( |  | ) | const
| inline

Returns the encoding to use when saving a file.

If empty, a suitable encoding is chosen.

## ◆ GetExtension()

wxString wxRichTextFileHandler::GetExtension | ( |  | ) | const
| inline

Returns the default extension to recognise.

## ◆ GetFlags()

int wxRichTextFileHandler::GetFlags | ( |  | ) | const
| inline

Returns flags controlling how loading and saving is done.

## ◆ GetName()

wxString wxRichTextFileHandler::GetName | ( |  | ) | const
| inline

Returns the name of the handler.

## ◆ GetType()

int wxRichTextFileHandler::GetType | ( |  | ) | const
| inline

Returns the handler type.

## ◆ IsVisible()

virtual bool wxRichTextFileHandler::IsVisible | ( |  | ) | const
| inlinevirtual

Returns true if this handler should be visible to the user.

## ◆ LoadFile() [1/2]

virtual bool wxRichTextFileHandler::LoadFile | ( | wxRichTextBuffer * | buffer,
|  | const wxString & | filename
| ) |  |
| virtual

Loads the buffer from a file.

## ◆ LoadFile() [2/2]

bool wxRichTextFileHandler::LoadFile | ( | wxRichTextBuffer * | buffer,
|  | wxInputStream & | stream
| ) |  |
| inline

Loads the buffer from a stream.

Not all handlers will implement file loading.

## ◆ SaveFile() [1/2]

virtual bool wxRichTextFileHandler::SaveFile | ( | wxRichTextBuffer * | buffer,
|  | const wxString & | filename
| ) |  |
| virtual

Saves the buffer to a file.

## ◆ SaveFile() [2/2]

bool wxRichTextFileHandler::SaveFile | ( | wxRichTextBuffer * | buffer,
|  | wxOutputStream & | stream
| ) |  |
| inline

Saves the buffer to a stream.

Not all handlers will implement file saving.

## ◆ SetEncoding()

void wxRichTextFileHandler::SetEncoding | ( | const wxString & | encoding | ) |
| inline

Sets the encoding to use when saving a file.

If empty, a suitable encoding is chosen.

## ◆ SetExtension()

void wxRichTextFileHandler::SetExtension | ( | const wxString & | ext | ) |
| inline

Sets the default extension to recognise.

## ◆ SetFlags()

void wxRichTextFileHandler::SetFlags | ( | int | flags | ) |
| inline

Sets flags that change the behaviour of loading or saving.

See the documentation for each handler class to see what flags are relevant for each handler.

You call this function directly if you are using a file handler explicitly (without going through the text control or buffer LoadFile/SaveFile API). Or, you can call the control or buffer's SetHandlerFlags function to set the flags that will be used for subsequent load and save operations.

## ◆ SetName()

void wxRichTextFileHandler::SetName | ( | const wxString & | name | ) |
| inline

Sets the name of the handler.

## ◆ SetType()

void wxRichTextFileHandler::SetType | ( | int | type | ) |
| inline

Sets the handler type.

## ◆ SetVisible()

virtual void wxRichTextFileHandler::SetVisible | ( | bool | visible | ) |
| inlinevirtual

Sets whether the handler should be visible to the user (via the application's load and save dialogs).

## Member Data Documentation

## ◆ m_encoding

wxString wxRichTextFileHandler::m_encoding
| protected

## ◆ m_extension

wxString wxRichTextFileHandler::m_extension
| protected

## ◆ m_flags

int wxRichTextFileHandler::m_flags
| protected

## ◆ m_name

wxString wxRichTextFileHandler::m_name
| protected

## ◆ m_type

int wxRichTextFileHandler::m_type
| protected

## ◆ m_visible

bool wxRichTextFileHandler::m_visible
| protected